using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 题库
    /// </summary>
    [Description("题库")]
    public class T_SE_TEST : MesEntityBase
    {
        /// <summary>
        /// 题目
        /// </summary>
        [Description("题目")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string NAME { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        [EnumName("SETestTypeEnum")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public SETestTypeEnum TYPE { get; set; }

        /// <summary>
        /// 选项A
        /// </summary>
        [Description("选项A")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string OPTION_A { get; set; }

        /// <summary>
        /// 选项B
        /// </summary>
        [Description("选项B")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string OPTION_B { get; set; }

        /// <summary>
        /// 选项C
        /// </summary>
        [Description("选项C")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string OPTION_C { get; set; }


        /// <summary>
        /// 选项D
        /// </summary>
        [Description("选项D")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string OPTION_D { get; set; }
        /// <summary>
        /// 选项E
        /// </summary>
        [Description("选项E")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string OPTION_E { get; set; }

        /// <summary>
        /// 答案 
        /// 是非题 是 1  否 2 
        /// 单选题 A 1, B 2, C 4,  D 8
        /// 多选题 单选位或
        /// </summary>
        [Description("答案")]
        [FormFieldEdit]
        public int ANSWER { get; set; }


        /// <summary>
        /// 适用表单
        /// SETestUsageEnum 位或实现复选
        /// </summary>
        [Description("适用表单")]
        [EnumName("SETestUsageEnum")]
        [FormFieldEdit]
        public int USAGE { get; set; }

        /// <summary>
        /// 适用岗位
        /// </summary>
        [Description("适用岗位")]
        [FormFieldEdit]
        public ICollection<T_SE_TEST_LIST_POST> Nav_Posts { get; set; }


        /// <summary>
        /// 知识点
        /// </summary>
        [Description("知识点")]
        [FormFieldEdit]
        public List<T_SE_TEST_LIST_POINT> Nav_Points { get; set; }
        /// <summary>
        /// 培训名称
        /// </summary>
        [Description("培训名称")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string TRAINNAME { get; set; }

    }
}
